source: projects/vine-manual-base/trunk/Makefile.in @ 4211

Revision 4211, 20.6 KB checked in by yasumichi, 13 years ago (diff)

Web モードの場合は、共通画像およびCSSのみインストールするようにした。

Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(srcdir)/vine-manual-base.spec.in \
37        $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38        install-sh missing
39ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42        $(ACLOCAL_M4)
43am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44 configure.lineno config.status.lineno
45mkinstalldirs = $(install_sh) -d
46CONFIG_CLEAN_FILES = vine-manual-base.spec
47CONFIG_CLEAN_VPATH_FILES =
48SOURCES =
49DIST_SOURCES =
50RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
51        html-recursive info-recursive install-data-recursive \
52        install-dvi-recursive install-exec-recursive \
53        install-html-recursive install-info-recursive \
54        install-pdf-recursive install-ps-recursive install-recursive \
55        installcheck-recursive installdirs-recursive pdf-recursive \
56        ps-recursive uninstall-recursive
57RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
58  distclean-recursive maintainer-clean-recursive
59AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
60        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
61        distdir dist dist-all distcheck
62ETAGS = etags
63CTAGS = ctags
64DIST_SUBDIRS = bin css data doc images
65DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66distdir = $(PACKAGE)-$(VERSION)
67top_distdir = $(distdir)
68am__remove_distdir = \
69  { test ! -d "$(distdir)" \
70    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
71         && rm -fr "$(distdir)"; }; }
72am__relativize = \
73  dir0=`pwd`; \
74  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
75  sed_rest='s,^[^/]*/*,,'; \
76  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
77  sed_butlast='s,/*[^/]*$$,,'; \
78  while test -n "$$dir1"; do \
79    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
80    if test "$$first" != "."; then \
81      if test "$$first" = ".."; then \
82        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
83        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
84      else \
85        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
86        if test "$$first2" = "$$first"; then \
87          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
88        else \
89          dir2="../$$dir2"; \
90        fi; \
91        dir0="$$dir0"/"$$first"; \
92      fi; \
93    fi; \
94    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
95  done; \
96  reldir="$$dir2"
97GZIP_ENV = --best
98DIST_ARCHIVES = $(distdir).tar.bz2
99distuninstallcheck_listfiles = find . -type f -print
100distcleancheck_listfiles = find . -type f -print
101ACLOCAL = @ACLOCAL@
102AMTAR = @AMTAR@
103AUTOCONF = @AUTOCONF@
104AUTOHEADER = @AUTOHEADER@
105AUTOMAKE = @AUTOMAKE@
106AWK = @AWK@
107CSS = @CSS@
108CSSDIR = @CSSDIR@
109CSSURI = @CSSURI@
110CVSDATA = @CVSDATA@
111CYGPATH_W = @CYGPATH_W@
112DEFS = @DEFS@
113ECHO_C = @ECHO_C@
114ECHO_N = @ECHO_N@
115ECHO_T = @ECHO_T@
116IMAGEDIR = @IMAGEDIR@
117IMAGEURI = @IMAGEURI@
118INDEX = @INDEX@
119INSTALL = @INSTALL@
120INSTALL_DATA = @INSTALL_DATA@
121INSTALL_PROGRAM = @INSTALL_PROGRAM@
122INSTALL_SCRIPT = @INSTALL_SCRIPT@
123INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
124LIBOBJS = @LIBOBJS@
125LIBS = @LIBS@
126LTLIBOBJS = @LTLIBOBJS@
127MAKEINFO = @MAKEINFO@
128MENUWIDTH = @MENUWIDTH@
129MKDIR_P = @MKDIR_P@
130MKTEMP = @MKTEMP@
131MODE = @MODE@
132PACKAGE = @PACKAGE@
133PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
134PACKAGE_NAME = @PACKAGE_NAME@
135PACKAGE_STRING = @PACKAGE_STRING@
136PACKAGE_TARNAME = @PACKAGE_TARNAME@
137PACKAGE_URL = @PACKAGE_URL@
138PACKAGE_VERSION = @PACKAGE_VERSION@
139PATH_SEPARATOR = @PATH_SEPARATOR@
140SET_MAKE = @SET_MAKE@
141SHELL = @SHELL@
142STRIP = @STRIP@
143TEMPLATE = @TEMPLATE@
144VERSION = @VERSION@
145VMDIR = @VMDIR@
146VMURI = @VMURI@
147abs_builddir = @abs_builddir@
148abs_srcdir = @abs_srcdir@
149abs_top_builddir = @abs_top_builddir@
150abs_top_srcdir = @abs_top_srcdir@
151am__leading_dot = @am__leading_dot@
152am__tar = @am__tar@
153am__untar = @am__untar@
154bindir = @bindir@
155build_alias = @build_alias@
156builddir = @builddir@
157datadir = @datadir@
158datarootdir = @datarootdir@
159docdir = @docdir@
160dvidir = @dvidir@
161exec_prefix = @exec_prefix@
162host_alias = @host_alias@
163htmldir = @htmldir@
164includedir = @includedir@
165infodir = @infodir@
166install_sh = @install_sh@
167libdir = @libdir@
168libexecdir = @libexecdir@
169localedir = @localedir@
170localstatedir = @localstatedir@
171mandir = @mandir@
172mkdir_p = @mkdir_p@
173oldincludedir = @oldincludedir@
174pdfdir = @pdfdir@
175prefix = @prefix@
176program_transform_name = @program_transform_name@
177psdir = @psdir@
178sbindir = @sbindir@
179sharedstatedir = @sharedstatedir@
180srcdir = @srcdir@
181sysconfdir = @sysconfdir@
182target_alias = @target_alias@
183top_build_prefix = @top_build_prefix@
184top_builddir = @top_builddir@
185top_srcdir = @top_srcdir@
186@WEBMODE_FALSE@SUBDIRS = bin css data doc images
187@WEBMODE_TRUE@SUBDIRS = css images
188EXTRA_DIST = vine-manual-base.spec.in
189all: all-recursive
190
191.SUFFIXES:
192am--refresh:
193        @:
194$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
195        @for dep in $?; do \
196          case '$(am__configure_deps)' in \
197            *$$dep*) \
198              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
199              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
200                && exit 0; \
201              exit 1;; \
202          esac; \
203        done; \
204        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
205        $(am__cd) $(top_srcdir) && \
206          $(AUTOMAKE) --gnu Makefile
207.PRECIOUS: Makefile
208Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
209        @case '$?' in \
210          *config.status*) \
211            echo ' $(SHELL) ./config.status'; \
212            $(SHELL) ./config.status;; \
213          *) \
214            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
215            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
216        esac;
217
218$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
219        $(SHELL) ./config.status --recheck
220
221$(top_srcdir)/configure:  $(am__configure_deps)
222        $(am__cd) $(srcdir) && $(AUTOCONF)
223$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
224        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
225$(am__aclocal_m4_deps):
226vine-manual-base.spec: $(top_builddir)/config.status $(srcdir)/vine-manual-base.spec.in
227        cd $(top_builddir) && $(SHELL) ./config.status $@
228
229# This directory's subdirectories are mostly independent; you can cd
230# into them and run `make' without going through this Makefile.
231# To change the values of `make' variables: instead of editing Makefiles,
232# (1) if the variable is set in `config.status', edit `config.status'
233#     (which will cause the Makefiles to be regenerated when you run `make');
234# (2) otherwise, pass the desired values on the `make' command line.
235$(RECURSIVE_TARGETS):
236        @fail= failcom='exit 1'; \
237        for f in x $$MAKEFLAGS; do \
238          case $$f in \
239            *=* | --[!k]*);; \
240            *k*) failcom='fail=yes';; \
241          esac; \
242        done; \
243        dot_seen=no; \
244        target=`echo $@ | sed s/-recursive//`; \
245        list='$(SUBDIRS)'; for subdir in $$list; do \
246          echo "Making $$target in $$subdir"; \
247          if test "$$subdir" = "."; then \
248            dot_seen=yes; \
249            local_target="$$target-am"; \
250          else \
251            local_target="$$target"; \
252          fi; \
253          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
254          || eval $$failcom; \
255        done; \
256        if test "$$dot_seen" = "no"; then \
257          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
258        fi; test -z "$$fail"
259
260$(RECURSIVE_CLEAN_TARGETS):
261        @fail= failcom='exit 1'; \
262        for f in x $$MAKEFLAGS; do \
263          case $$f in \
264            *=* | --[!k]*);; \
265            *k*) failcom='fail=yes';; \
266          esac; \
267        done; \
268        dot_seen=no; \
269        case "$@" in \
270          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
271          *) list='$(SUBDIRS)' ;; \
272        esac; \
273        rev=''; for subdir in $$list; do \
274          if test "$$subdir" = "."; then :; else \
275            rev="$$subdir $$rev"; \
276          fi; \
277        done; \
278        rev="$$rev ."; \
279        target=`echo $@ | sed s/-recursive//`; \
280        for subdir in $$rev; do \
281          echo "Making $$target in $$subdir"; \
282          if test "$$subdir" = "."; then \
283            local_target="$$target-am"; \
284          else \
285            local_target="$$target"; \
286          fi; \
287          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
288          || eval $$failcom; \
289        done && test -z "$$fail"
290tags-recursive:
291        list='$(SUBDIRS)'; for subdir in $$list; do \
292          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
293        done
294ctags-recursive:
295        list='$(SUBDIRS)'; for subdir in $$list; do \
296          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
297        done
298
299ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
300        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
301        unique=`for i in $$list; do \
302            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
303          done | \
304          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
305              END { if (nonempty) { for (i in files) print i; }; }'`; \
306        mkid -fID $$unique
307tags: TAGS
308
309TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
310                $(TAGS_FILES) $(LISP)
311        set x; \
312        here=`pwd`; \
313        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
314          include_option=--etags-include; \
315          empty_fix=.; \
316        else \
317          include_option=--include; \
318          empty_fix=; \
319        fi; \
320        list='$(SUBDIRS)'; for subdir in $$list; do \
321          if test "$$subdir" = .; then :; else \
322            test ! -f $$subdir/TAGS || \
323              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
324          fi; \
325        done; \
326        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
327        unique=`for i in $$list; do \
328            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
329          done | \
330          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
331              END { if (nonempty) { for (i in files) print i; }; }'`; \
332        shift; \
333        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
334          test -n "$$unique" || unique=$$empty_fix; \
335          if test $$# -gt 0; then \
336            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
337              "$$@" $$unique; \
338          else \
339            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
340              $$unique; \
341          fi; \
342        fi
343ctags: CTAGS
344CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
345                $(TAGS_FILES) $(LISP)
346        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
347        unique=`for i in $$list; do \
348            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
349          done | \
350          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
351              END { if (nonempty) { for (i in files) print i; }; }'`; \
352        test -z "$(CTAGS_ARGS)$$unique" \
353          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
354             $$unique
355
356GTAGS:
357        here=`$(am__cd) $(top_builddir) && pwd` \
358          && $(am__cd) $(top_srcdir) \
359          && gtags -i $(GTAGS_ARGS) "$$here"
360
361distclean-tags:
362        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
363
364distdir: $(DISTFILES)
365        $(am__remove_distdir)
366        test -d "$(distdir)" || mkdir "$(distdir)"
367        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
368        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
369        list='$(DISTFILES)'; \
370          dist_files=`for file in $$list; do echo $$file; done | \
371          sed -e "s|^$$srcdirstrip/||;t" \
372              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
373        case $$dist_files in \
374          */*) $(MKDIR_P) `echo "$$dist_files" | \
375                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
376                           sort -u` ;; \
377        esac; \
378        for file in $$dist_files; do \
379          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
380          if test -d $$d/$$file; then \
381            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
382            if test -d "$(distdir)/$$file"; then \
383              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
384            fi; \
385            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
386              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
387              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
388            fi; \
389            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
390          else \
391            test -f "$(distdir)/$$file" \
392            || cp -p $$d/$$file "$(distdir)/$$file" \
393            || exit 1; \
394          fi; \
395        done
396        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
397          if test "$$subdir" = .; then :; else \
398            test -d "$(distdir)/$$subdir" \
399            || $(MKDIR_P) "$(distdir)/$$subdir" \
400            || exit 1; \
401          fi; \
402        done
403        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
404          if test "$$subdir" = .; then :; else \
405            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
406            $(am__relativize); \
407            new_distdir=$$reldir; \
408            dir1=$$subdir; dir2="$(top_distdir)"; \
409            $(am__relativize); \
410            new_top_distdir=$$reldir; \
411            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
412            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
413            ($(am__cd) $$subdir && \
414              $(MAKE) $(AM_MAKEFLAGS) \
415                top_distdir="$$new_top_distdir" \
416                distdir="$$new_distdir" \
417                am__remove_distdir=: \
418                am__skip_length_check=: \
419                am__skip_mode_fix=: \
420                distdir) \
421              || exit 1; \
422          fi; \
423        done
424        -test -n "$(am__skip_mode_fix)" \
425        || find "$(distdir)" -type d ! -perm -755 \
426                -exec chmod u+rwx,go+rx {} \; -o \
427          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
428          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
429          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
430        || chmod -R a+r "$(distdir)"
431dist-gzip: distdir
432        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
433        $(am__remove_distdir)
434dist-bzip2: distdir
435        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
436        $(am__remove_distdir)
437
438dist-lzma: distdir
439        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
440        $(am__remove_distdir)
441
442dist-xz: distdir
443        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
444        $(am__remove_distdir)
445
446dist-tarZ: distdir
447        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
448        $(am__remove_distdir)
449
450dist-shar: distdir
451        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
452        $(am__remove_distdir)
453
454dist-zip: distdir
455        -rm -f $(distdir).zip
456        zip -rq $(distdir).zip $(distdir)
457        $(am__remove_distdir)
458
459dist dist-all: distdir
460        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
461        $(am__remove_distdir)
462
463# This target untars the dist file and tries a VPATH configuration.  Then
464# it guarantees that the distribution is self-contained by making another
465# tarfile.
466distcheck: dist
467        case '$(DIST_ARCHIVES)' in \
468        *.tar.gz*) \
469          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
470        *.tar.bz2*) \
471          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
472        *.tar.lzma*) \
473          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
474        *.tar.xz*) \
475          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
476        *.tar.Z*) \
477          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
478        *.shar.gz*) \
479          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
480        *.zip*) \
481          unzip $(distdir).zip ;;\
482        esac
483        chmod -R a-w $(distdir); chmod a+w $(distdir)
484        mkdir $(distdir)/_build
485        mkdir $(distdir)/_inst
486        chmod a-w $(distdir)
487        test -d $(distdir)/_build || exit 0; \
488        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
489          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
490          && am__cwd=`pwd` \
491          && $(am__cd) $(distdir)/_build \
492          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
493            $(DISTCHECK_CONFIGURE_FLAGS) \
494          && $(MAKE) $(AM_MAKEFLAGS) \
495          && $(MAKE) $(AM_MAKEFLAGS) dvi \
496          && $(MAKE) $(AM_MAKEFLAGS) check \
497          && $(MAKE) $(AM_MAKEFLAGS) install \
498          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
499          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
500          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
501                distuninstallcheck \
502          && chmod -R a-w "$$dc_install_base" \
503          && ({ \
504               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
505               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
506               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
507               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
508                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
509              } || { rm -rf "$$dc_destdir"; exit 1; }) \
510          && rm -rf "$$dc_destdir" \
511          && $(MAKE) $(AM_MAKEFLAGS) dist \
512          && rm -rf $(DIST_ARCHIVES) \
513          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
514          && cd "$$am__cwd" \
515          || exit 1
516        $(am__remove_distdir)
517        @(echo "$(distdir) archives ready for distribution: "; \
518          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
519          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
520distuninstallcheck:
521        @$(am__cd) '$(distuninstallcheck_dir)' \
522        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
523           || { echo "ERROR: files left after uninstall:" ; \
524                if test -n "$(DESTDIR)"; then \
525                  echo "  (check DESTDIR support)"; \
526                fi ; \
527                $(distuninstallcheck_listfiles) ; \
528                exit 1; } >&2
529distcleancheck: distclean
530        @if test '$(srcdir)' = . ; then \
531          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
532          exit 1 ; \
533        fi
534        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
535          || { echo "ERROR: files left in build directory after distclean:" ; \
536               $(distcleancheck_listfiles) ; \
537               exit 1; } >&2
538check-am: all-am
539check: check-recursive
540all-am: Makefile
541installdirs: installdirs-recursive
542installdirs-am:
543install: install-recursive
544install-exec: install-exec-recursive
545install-data: install-data-recursive
546uninstall: uninstall-recursive
547
548install-am: all-am
549        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
550
551installcheck: installcheck-recursive
552install-strip:
553        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
554          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
555          `test -z '$(STRIP)' || \
556            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
557mostlyclean-generic:
558
559clean-generic:
560
561distclean-generic:
562        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
563        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
564
565maintainer-clean-generic:
566        @echo "This command is intended for maintainers to use"
567        @echo "it deletes files that may require special tools to rebuild."
568clean: clean-recursive
569
570clean-am: clean-generic mostlyclean-am
571
572distclean: distclean-recursive
573        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
574        -rm -f Makefile
575distclean-am: clean-am distclean-generic distclean-tags
576
577dvi: dvi-recursive
578
579dvi-am:
580
581html: html-recursive
582
583html-am:
584
585info: info-recursive
586
587info-am:
588
589install-data-am:
590
591install-dvi: install-dvi-recursive
592
593install-dvi-am:
594
595install-exec-am:
596
597install-html: install-html-recursive
598
599install-html-am:
600
601install-info: install-info-recursive
602
603install-info-am:
604
605install-man:
606
607install-pdf: install-pdf-recursive
608
609install-pdf-am:
610
611install-ps: install-ps-recursive
612
613install-ps-am:
614
615installcheck-am:
616
617maintainer-clean: maintainer-clean-recursive
618        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
619        -rm -rf $(top_srcdir)/autom4te.cache
620        -rm -f Makefile
621maintainer-clean-am: distclean-am maintainer-clean-generic
622
623mostlyclean: mostlyclean-recursive
624
625mostlyclean-am: mostlyclean-generic
626
627pdf: pdf-recursive
628
629pdf-am:
630
631ps: ps-recursive
632
633ps-am:
634
635uninstall-am:
636
637.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
638        install-am install-strip tags-recursive
639
640.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
641        all all-am am--refresh check check-am clean clean-generic \
642        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
643        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
644        distclean distclean-generic distclean-tags distcleancheck \
645        distdir distuninstallcheck dvi dvi-am html html-am info \
646        info-am install install-am install-data install-data-am \
647        install-dvi install-dvi-am install-exec install-exec-am \
648        install-html install-html-am install-info install-info-am \
649        install-man install-pdf install-pdf-am install-ps \
650        install-ps-am install-strip installcheck installcheck-am \
651        installdirs installdirs-am maintainer-clean \
652        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
653        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
654
655
656# Tell versions [3.59,3.63) of GNU make to not export all variables.
657# Otherwise a system limit (for SysV at least) may be exceeded.
658.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.